List recipient companies that were added/removed since a previous request
const url = 'https://sender.api.kivra.com/v2/tenant/example/company/diff/3831CD15163421134211695294';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/tenant/example/company/diff/3831CD15163421134211695294 \ --header 'Authorization: Bearer <token>'NOTE: Access to this resource might be enabled via agreement.
This resource is used to list companies that were added/removed since
diffId was obtained, either from an initial request to the
/v2/tenant/{tenantKey}/company endpoint, or from a subsequent request
to this endpoint. Note that all diffIds that are obtained in a
series of requests expire 31 days after the initial request.
Therefore, API users must fetch the complete company list at least once
every 31 days.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The unique Key for a Tenant
Example
3831CD15163421134211695294ID that was returned in header in a previous request and is used to calculate which companies have been added/removed between then and now
Responses
Section titled “Responses”Lists of added/removed companies
object
List of added users
object
A Swedish VAT number (“momsregistreringsnummer”).
List of removed users
object
A Swedish VAT number (“momsregistreringsnummer”).
Example
{ "added": [ { "vatnr": "SE556000475501" } ], "removed": [ { "vatnr": "SE556000475501" } ]}Headers
Section titled “Headers”Example
3831CD15163421134211695294An ID that can be used in a subsequent request to
/v2/tenant/{tenantKey}/company/diff/{diffId} to fetch companies
that were added/removed since diffId was obtained
The diffId does not exist (potentially because it has expired).